Merge branch 'master' into branch-1.6
authorBdale Garbee <bdale@gag.com>
Sun, 16 Aug 2015 15:53:40 +0000 (17:53 +0200)
committerBdale Garbee <bdale@gag.com>
Sun, 16 Aug 2015 15:53:40 +0000 (17:53 +0200)
ao-bringup/turnon_telebt
ao-bringup/turnon_telebt_v1 [new file with mode: 0755]
ao-bringup/turnon_teledongle
debian/altos.install
debian/control
debian/copyright
debian/docs
doc/altusmetrum.xsl

index f4100ae2f928f3546cb5b2f5419c534e91942784..7c036bc21b299c0206cd35ebf8fbd83700814275 100755 (executable)
@@ -1,62 +1,61 @@
 #!/bin/sh
 
-if [ -x ../ao-tools/ao-load/ao-load ]; then
-       AOLOAD=../ao-tools/ao-load/ao-load
-elif [ -x /usr/bin/ao-load ]; then
-       AOLOAD=/usr/bin/ao-load
+if [ -x /usr/bin/ao-flash-stm ]; then
+       FLASH_STM=/usr/bin/ao-flash-stm
 else
-       echo "Can't find ao-load!  Aborting."
+       echo "Can't find ao-flash-stm!  Aborting."
        exit 1
 fi
 
-if [ -x ../ao-tools/ao-rawload/ao-rawload ]; then
-       RAWLOAD=../ao-tools/ao-rawload/ao-rawload
-elif [ -x /usr/bin/ao-rawload ]; then
-       RAWLOAD=/usr/bin/ao-rawload
+if [ -x /usr/bin/ao-usbload ]; then
+       USBLOAD=/usr/bin/ao-usbload
 else
-       echo "Can't find ao-rawload!  Aborting."
+       echo "Can't find ao-usbload!  Aborting."
        exit 1
 fi
 
-echo "TeleBT v1.1 Turn-On and Calibration Program"
-echo "Copyright 2013 by Bdale Garbee.  Released under GPL v2"
+VERSION=3.0
+REPO=~/altusmetrumllc/Binaries
+
+echo "TeleBT v$VERSION Turn-On and Calibration Program"
+echo "Copyright 2015 by Bdale Garbee.  Released under GPL v2"
 echo
 echo "Expectations:"
-echo "\tTeleBT v1.1 powered from USB"
-echo "\t\twith TeleDonlge (on /dev/ttyACM0) cabled to debug header"
-echo "\t\twith coax from SMA to frequency counter"
+echo "\tTeleBT v$VERSION powered from USB"
+echo "\t\twith ST-Link-V2 cabled to debug header"
+echo "\t\twith coax from UHF to frequency counter"
 echo
-echo -n "TeleBT serial number: "
+echo -n "TeleBT-$VERSION serial number: "
 read SERIAL
 
-echo $RAWLOAD
+echo $FLASH_STM
 
-case $USER in
-    bdale)
-       DONGLE=100
-       ;;
-    keithp)
-       DONGLE=186
+$FLASH_STM $REPO/loaders/telebt-v$VERSION*.elf || exit 1
+
+sleep 5
+
+$USBLOAD --serial=$SERIAL $REPO/telebt-v$VERSION*.elf || exit 1
+
+sleep 5
+
+dev=`ao-list | awk '/TeleBT-v'"$VERSION"'/ { print $3; exit(0); }'`
+
+case "$dev" in
+/dev/tty*)
+       echo "TeleBT found on $dev"
        ;;
-    *)
-       echo "Unknow user"
+*)
+       echo 'No TeleBT-v'"$VERSION"' found'
        exit 1
        ;;
 esac
 
-$RAWLOAD -D $DONGLE -r ao_led_blink.ihx
-echo "LEDs should be blinking"
-sleep 5
+echo 'E 0' > $dev
 
-$RAWLOAD -D $DONGLE -r ao_radio_xmit.ihx
-echo -n "Generating RF carrier.  Please enter measured frequency: "
-read FREQ
+SERIAL=$SERIAL ./cal-freq $dev
 
-CAL_VALUE=`nickle -e "floor(434.55 / $FREQ * 1186611 + 0.5)"`
+echo 'E 1' > $dev
 
-echo "Programming flash with cal value " $CAL_VALUE
-$AOLOAD -D $DONGLE --cal $CAL_VALUE ~/altusmetrumllc/Binaries/telebt-v1.0*.ihx $SERIAL
+echo "TeleBT-v$VERSION $SERIAL is ready to ship"
 
-echo "Serial number "$SERIAL" programmed with RF cal value "$CAL_VALUE
-echo $SERIAL","$CAL_VALUE >> cal_values
-echo "Unplug debug cable, power cycle, cu to the board, confirm freq and record power"
+exit $?
diff --git a/ao-bringup/turnon_telebt_v1 b/ao-bringup/turnon_telebt_v1
new file mode 100755 (executable)
index 0000000..f4100ae
--- /dev/null
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+if [ -x ../ao-tools/ao-load/ao-load ]; then
+       AOLOAD=../ao-tools/ao-load/ao-load
+elif [ -x /usr/bin/ao-load ]; then
+       AOLOAD=/usr/bin/ao-load
+else
+       echo "Can't find ao-load!  Aborting."
+       exit 1
+fi
+
+if [ -x ../ao-tools/ao-rawload/ao-rawload ]; then
+       RAWLOAD=../ao-tools/ao-rawload/ao-rawload
+elif [ -x /usr/bin/ao-rawload ]; then
+       RAWLOAD=/usr/bin/ao-rawload
+else
+       echo "Can't find ao-rawload!  Aborting."
+       exit 1
+fi
+
+echo "TeleBT v1.1 Turn-On and Calibration Program"
+echo "Copyright 2013 by Bdale Garbee.  Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\tTeleBT v1.1 powered from USB"
+echo "\t\twith TeleDonlge (on /dev/ttyACM0) cabled to debug header"
+echo "\t\twith coax from SMA to frequency counter"
+echo
+echo -n "TeleBT serial number: "
+read SERIAL
+
+echo $RAWLOAD
+
+case $USER in
+    bdale)
+       DONGLE=100
+       ;;
+    keithp)
+       DONGLE=186
+       ;;
+    *)
+       echo "Unknow user"
+       exit 1
+       ;;
+esac
+
+$RAWLOAD -D $DONGLE -r ao_led_blink.ihx
+echo "LEDs should be blinking"
+sleep 5
+
+$RAWLOAD -D $DONGLE -r ao_radio_xmit.ihx
+echo -n "Generating RF carrier.  Please enter measured frequency: "
+read FREQ
+
+CAL_VALUE=`nickle -e "floor(434.55 / $FREQ * 1186611 + 0.5)"`
+
+echo "Programming flash with cal value " $CAL_VALUE
+$AOLOAD -D $DONGLE --cal $CAL_VALUE ~/altusmetrumllc/Binaries/telebt-v1.0*.ihx $SERIAL
+
+echo "Serial number "$SERIAL" programmed with RF cal value "$CAL_VALUE
+echo $SERIAL","$CAL_VALUE >> cal_values
+echo "Unplug debug cable, power cycle, cu to the board, confirm freq and record power"
index e6750c453a0e72ca11c197e2ad18f8ed4f3607ca..d17e2b96caae76fef6281e3e35cee58af506a4e5 100755 (executable)
@@ -58,7 +58,7 @@ esac
 
 echo 'E 0' > $dev
 
-./cal-freq-file $dev $SERIAL
+SERIAL=$SERIAL ./cal-freq $dev
 
 case $? in
     0)
index 50f21eb1c5adb35f277b11282b8bd5e7dd12122c..626e21e0ce5ee035795fffa5f873e6ca48389341 100644 (file)
@@ -2,8 +2,8 @@ debian/altusmetrum.xpm  usr/share/pixmaps
 src/*/*.ihx            usr/share/altos
 src/*/*.map            usr/share/altos
 themes/background.png          usr/share/altos/themes
-themes/slim/panel.png          usr/share/slim/themes/altusmetrum
-themes/slim/slim.theme         usr/share/slim/themes/altusmetrum
-themes/gdm/altusmetrum.xml     /usr/share/gdm/themes/altusmetrum
 themes/gdm/GdmGreeterTheme.desktop     /usr/share/gdm/themes/altusmetrum
+themes/gdm/altusmetrum.xml     /usr/share/gdm/themes/altusmetrum
 themes/gdm/screenshot.png      /usr/share/gdm/themes/altusmetrum
+themes/slim/panel.png          usr/share/slim/themes/altusmetrum
+themes/slim/slim.theme         usr/share/slim/themes/altusmetrum
index c9b0fa83ec6f5e064a835cc70bf2360f81d7ba68..7fa2029d62a3c4d088af8551622b4a45fc71c411 100644 (file)
@@ -3,7 +3,36 @@ Section: electronics
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper (>= 7), autoconf, automake, gawk, libreadline-dev, libusb-1.0-0-dev, nickle, cc1111, xsltproc, fop, xmlto, docbook-xml, docbook-xsl, swig, default-jdk, freetts, libtool, libjfreechart-java, libbluetooth-dev, pkg-config, libelf-dev, libbluetooth-dev, libssl-dev, gcc-arm-none-eabi, icoutils, librsvg2-bin, icnsutils, graphicsmagick | imagemagick, netpbm, shared-mime-info, libgtk-3-bin
+Build-Depends: autoconf,
+               automake,
+               cc1111,
+               debhelper (>= 7),
+               default-jdk,
+               docbook-xml,
+               docbook-xsl,
+               fop,
+               freetts,
+               gawk,
+               gcc-arm-none-eabi,
+               graphicsmagick | imagemagick,
+               icnsutils,
+               icoutils,
+               libbluetooth-dev,
+               libelf-dev,
+               libgtk-3-bin,
+               libjfreechart-java,
+               libreadline-dev,
+               librsvg2-bin,
+               libssl-dev,
+               libtool,
+               libusb-1.0-0-dev,
+               netpbm,
+               nickle,
+               pkg-config,
+               shared-mime-info,
+               swig,
+               xmlto,
+               xsltproc
 Standards-Version: 3.9.5
 Homepage: http://altusmetrum.org/AltOS
 Vcs-Git: git://git.gag.com/fw/altos -b debian
@@ -11,7 +40,12 @@ Vcs-Browser: http://git.gag.com/?p=fw/altos
 
 Package: altos
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime, freetts, nickle, libjfreechart-java
+Depends: default-jre | java2-runtime,
+         freetts,
+         libjfreechart-java,
+         nickle,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: slim | gdm
 Replaces: altusmetrum-themes, slim-altusmetrum
 Conflicts: altusmetrum-themes, slim-altusmetrum
index 55841bcae7fb0d881c6fd0e4d6a507e5128491f2..f227602e67e8342705d12f93f91a537e6eadfa3f 100644 (file)
@@ -26,7 +26,7 @@ Copyright:
        Copyright © 1996-2000 Grace Development Team
        Copyright © 1984, 1987, 1989, 1995 Stephen L. Moshier
        Copyright © 2003 Maarten Brock, sourceforge.brock@dse.nl
+
 License:
 
     This program is free software; you can redistribute it and/or modify
index 4a7eba6803404cba8a5821c7402b63ca6791af33..c0a63faf0384b075ec440f2f715d9c0c8163c129 100644 (file)
@@ -1,12 +1,12 @@
 NEWS
 README
+doc/altos.html
+doc/altos.pdf
 doc/altusmetrum.html
 doc/altusmetrum.pdf
+doc/easymini-outline.pdf
+doc/telemega-outline.pdf
+doc/telemetrum-outline.pdf
 doc/telemetry.html
 doc/telemetry.pdf
-doc/altos.html
-doc/altos.pdf
-doc/telemetrum-outline.pdf
-doc/telemega-outline.pdf
-doc/easymini-outline.pdf
 doc/telemini.pdf
index a40481f16c83b2253194f9f6d118ed1ad67277f1..d1328abf653027d6566981327e3f87387a274b46 100644 (file)
@@ -3989,6 +3989,18 @@ NAR #88757, TRA #12200
        from which you can download and install the application.
       </para>
     </section>
+    <section>
+      <title>Charging TeleBT Battery</title>
+      <para>
+       Before using TeleBT with AltosDroid, make sure the internal 
+       TeleBT battery is charged.  To do this, attach a micro USB
+       cable from a computer or other USB power source to TeleBT.
+       A dual LED on the circuit board should illuminate, showing
+       red while the battery is charging, green when charging is
+       completed, and both red and green on at the same time if
+       there is a battery fault.
+      </para>
+    </section>
     <section>
       <title>Connecting to TeleBT over Bluetooth™</title>
       <para>